#pragma once
#include <iostream>
#include "GL\glew.h"
#include "GLFW\glfw3.h"

#include "Window.h"
#include "../Objects/Shader.h"
#include "Scene.h"
#include "../Settings.h"
#include "FrameBufferObject.h"

class Engine
{
public:
	Engine(Window *window);
	~Engine(void);
	void update(GLdouble deltaT);
	void draw(SceneObject::RENDERTYPE mode);
	void init(void);
	void startGame();

private:
	Scene *scene;

	Window * window;
	bool isRunning;

	float counter;

	
};

