#include "Material.h"


Material::Material(float ambient, float diffuse, float specular)
	: ambient(ambient)
	, diffuse(diffuse)
	, specular(specular)
{
}


Material::~Material(void)
{
}

float Material::getAmbient(void)
{
	return ambient;
}
float Material::getDiffuse(void)
{
	return diffuse;
}
float Material::getSpecular(void)
{
	return specular;
}
	
void Material::setSpecular(float _specular)
{
	specular = _specular;
}
void Material::setDiffuse(float _diffuse)
{
	diffuse = _diffuse;
}
void Material::setAmbient(float _ambient)
{
	ambient = _ambient;
}
