#pragma once

#include <gl/glew.h>
#include <glfw/glfw3.h>
#include <glm/glm.hpp>
#include <iostream>
#include <glm\gtx\vector_angle.hpp>
#include <glm/gtc/matrix_transform.hpp>

#include "../SceneObject.h"
#include "../Shader.h"

class Bar :
	public SceneObject
{
public:
	Bar(glm::vec3 position,glm::vec3 colorFinal);
	~Bar(void);

	virtual void update(double deltaT);
	virtual void draw(RENDERTYPE mode);

	void updateParam(double value);

private:
	glm::vec3 colorFinal;
	glm::vec3 colorNeutral;

	float barLength;
};

